Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.tree
Class DefaultDeleteNodeModel

    java.lang.Object
      com.tonbeller.wcf.tree.DefaultDeleteNodeModel

All Implemented Interfaces:
  DeleteNodeModel

public class DefaultDeleteNodeModel
extends java.lang.Object
implements DeleteNodeModel

Author:
  av

Constructor Summary
`DefaultDeleteNodeModel()` creates a NodeDeleter that uses a HashSet for the deleted nodes
`DefaultDeleteNodeModel(java.util.Comparator comp)` creates a NodeDeleter that uses a TreeSet with `comp` for the deleted nodes

Method Summary
`void` | `delete(java.lang.Object node)` called when the user presses the delete button.
`NodeFilter` | `getDeletableFilter()` gets the filter for isDeletable()
`java.util.Set` | `getDeleted()` the tree does not paint nodes that are contained in this set.
`boolean` | `isDeletable(java.lang.Object node)` if true, the node will be rendered with a delete button
`void` | `setDeletableFilter(NodeFilter filter)` sets the filter for isDeletable()

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDeleteNodeModel

    public DefaultDeleteNodeModel()

  creates a NodeDeleter that uses a HashSet for the deleted nodes

### DefaultDeleteNodeModel

    public DefaultDeleteNodeModel(java.util.Comparator comp)

  creates a NodeDeleter that uses a TreeSet with `comp` for the deleted nodes

Method Detail

### isDeletable

    public boolean isDeletable(java.lang.Object node)

  Description copied from interface: `DeleteNodeModel`
  if true, the node will be rendered with a delete button

  Specified by:
    `isDeletable` in interface `DeleteNodeModel`

### delete

    public void delete(java.lang.Object node)

  Description copied from interface: `DeleteNodeModel`
  called when the user presses the delete button.

  Specified by:
    `delete` in interface `DeleteNodeModel`
  Parameters:
    `node` -

### getDeleted

    public java.util.Set getDeleted()

  Description copied from interface: `DeleteNodeModel`
  the tree does not paint nodes that are contained in this set. This allows the application to collect the deleted nodes in this set and perform the actual deletion when the user presses the "commit" button.

  Specified by:
    `getDeleted` in interface `DeleteNodeModel`
  Returns:
    Set containing nodes not to be painted

### getDeletableFilter

    public NodeFilter getDeletableFilter()

  gets the filter for isDeletable()

### setDeletableFilter

    public void setDeletableFilter(NodeFilter filter)

  sets the filter for isDeletable()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD